[android-components](../index.md) / [mozilla.components.feature.pwa.ext](index.md) / [putUrlOverride](./put-url-override.md)

# putUrlOverride

`fun <ERROR CLASS>.putUrlOverride(url: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?): <ERROR CLASS>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/pwa/src/main/java/mozilla/components/feature/pwa/ext/Intent.kt#L38)

Add [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) URL override to the intent.

### Parameters

`url` - The URL override value.

**Return**
Returns the same Intent object, for chaining multiple calls
into a single statement.

**See Also**

[getUrlOverride](get-url-override.md)

